/***********************************************************/
/*  Copyright (c) 2005 AOK.    LastUpdate:2005.3.18        */
/***********************************************************/

/* Spp𔼊p */
function zen2han_alpha(src) {
  return src.replace(/[`-y-]/g,
    function ($0) {
      return String.fromCharCode($0.charCodeAt(0) - 65248);
    });
}

/* ppSp */
function han2zen_alpha(src) {
  return src.replace(/[A-Za-z]/g,
    function ($0) {
      return String.fromCharCode($0.charCodeAt(0) + 65248);
    });
}

/* Sp𔼊p */
function zen2han_num(src) {
  return src.replace(/[O-X]/g,
    function ($0) {
      return String.fromCharCode($0.charCodeAt(0) - 65248);
    });
}

/* pSp */
function han2zen_num(src) {
  return src.replace(/[0-9]/g,
    function ($0) {
      return String.fromCharCode($0.charCodeAt(0) + 65248);
    });
}

/* SpЂ炪ȂJ^Ji */
function hira2kata(src) {
  return src.replace(/[-TU]/g,
    function ($0) {
      return String.fromCharCode($0.charCodeAt(0) + 96);
    });
}

/* SpJ^JiЂ炪Ȃ */
function kata2hira(src) {
  return src.replace(/[@-RS]/g,
    function ($0) {
      return String.fromCharCode($0.charCodeAt(0) - 96);
    });
}
